Skip to content

Create resources in batches

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Create resources in batches, you can set the description of the resource, the defined operation type, URL identifier, etc.

Method name

ManagementClient.createResourcesBatch

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
list<a CreateResourceBatchItemDto[]Yes-Resource list Array length limit: 50.
namespacestringNo-Code of the permission group (permission space). Do not pass to obtain the default permission group.default

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.createResourcesBatch({
    namespace: "default",
    list: [
      {
        code: "ecs",
        description: "Server",
        name: "Server",
        type: Models.ResourceDto.type.API,
        actions: [
          {
            name: "ecs:Start",
            description: "ecs:Start",
          },
        ],
        apiIdentifier: "https://my-awesome-api.com/api",
      },
    ],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data structure

CreateResourceBatchItemDto

NameTypeIs it requiredDescriptionSample value
codestringyesResource unique identifierecs
descriptionstringnoResource descriptionServer
namestringnoResource nameServer
typestringyesResource type, such as data, API, button, menuDATA
actionsarraynoAction types defined by the resource Nested type: <a ResourceAction. Array length limit: 100.[{"name":"ecs:Start","description":"Start ECS server"},{"name":"ecs:Stop","description":"Stop ECS server"}]
apiIdentifierstringNoURL identifier of API resourcehttps://my-awesome-api.com/api

ResourceAction

NameTypeIs it required?DescriptionSample value
namestringYesResource action nameecs:Start
descriptionstringYesResource action descriptionecs:Start

IsSuccessDto

NameTypeIs it required?DescriptionSample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.